module Config.Helpers.Format exposing (..)

import Config.Style.Colour exposing (..)
import Element exposing (..)
import Element.Border as D
import Element.Font as F


paragraphFontSize : Attr decorative msg
paragraphFontSize =
    F.size 16


paragraphSpacing : Attribute msg
paragraphSpacing =
    spacing 3


headerFontSizeBig : Attr decorative msg
headerFontSizeBig =
    F.size 23


headerFontSizeMedium : Attr decorative msg
headerFontSizeMedium =
    F.size 20


headerFontSizeSmall : Attr decorative msg
headerFontSizeSmall =
    F.size 18


renderCodeLine : SyntaxColors -> List (Element msg) -> Element msg
renderCodeLine colors elements =
    paragraph
        [ F.color colors.text
        , F.alignLeft
        , F.family
            [ F.monospace ]
        ]
        elements


divider : Element msg
divider =
    el
        [ width fill
        , height fill
        , centerX
        , width (fill |> maximum 600)
        , D.widthEach
            { bottom = 1
            , top = 0
            , left = 0
            , right = 0
            }
        , D.color colourTheme.textLightOrange
        , paddingEach
            { top = 10
            , bottom = 0
            , left = 0
            , right = 0
            }
        ]
    <|
        none
