module Config.Helpers.Response exposing (..)

import Config.Style.Colour exposing (colourTheme)
import Element as E exposing (..)
import Element.Background as B exposing (color)
import Html.Attributes exposing (style)


topLevelContainer : Element msg -> Element msg
topLevelContainer =
    el
        [ width fill
        , height fill
        , B.color colourTheme.backgroundLightGrey
        ]


pageListCenter : List (Attribute msg)
pageListCenter =
    [ centerY
    ]
        ++ pageListFormat


pageList : List (Attribute msg)
pageList =
    [ alignTop
    ]
        ++ pageListFormat


pageListFormat : List (Attribute msg)
pageListFormat =
    [ spacing 30
    , centerX
    , padding 30
    , width fill
    , height fill
    , scrollbarY
    ]


contentContainer : Element msg -> Element msg
contentContainer =
    el
        [ width (fill |> minimum 100)
        , width (fill |> maximum 875)
        , padding 10
        , centerX
        ]
