module Config.Pages.Debate.Cuckery.Records.PaulMason exposing (..)

import Config.Pages.Debate.Cuckery.Types exposing (..)
import Config.Helpers.Converters exposing (formatName)


cuckPaulMason : Cuck
cuckPaulMason =
    let
        name : String
        name =
            "Paul Mason"
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://x.com/DrPaulMason"
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://x.com/Tom_Babington1/status/1361644276866830337?s=20"
          , dodgeDescription = NoReply
          , dodgeProposition = noProposition
          , dodgeReceipts = [ {receipt = "receipt1"}]
          , dodgeFallacy = Just (SpecificFallacy "")
          , dodgeNicksDoxasticState = Nothing
          , dodgeNicksDoxasticReason = NoProp
          }
        , { dodgeLink = "https://x.com/IdanOnTweeter/status/1373233980594618371?s=20"
          , dodgeDescription = NoReply
          , dodgeProposition = "Ancel Keys' Seven Countries Study was flawed."
          , dodgeReceipts = [ {receipt = "receipt1"}]
          , dodgeFallacy = Just (SpecificFallacy "")
          , dodgeNicksDoxasticState = Just Agnostic
          , dodgeNicksDoxasticReason = VagueProp
          }
        , { dodgeLink = "https://x.com/The_Nutrivore/status/1461361726943760391?s=20"
          , dodgeDescription = NoReply
          , dodgeProposition = commonProps.propLinoleicAcid
          , dodgeReceipts = [ {receipt = "receipt1"}]
          , dodgeFallacy = Just (SpecificFallacy "")
          , dodgeNicksDoxasticState = Just Agnostic
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propSeedOilsReason
          }
        ]
    }
