module Config.Pages.Interviews.Records.StrenuousLifePodcast exposing (..)

import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Interviews.Types exposing (..)


strenuousLifePodcast : Interview
strenuousLifePodcast =
    let
        name : String
        name =
            "Strenuous Life Podcast"
    in
    { interviewName = name
    , interviewImage = formatName name
    , interviewSocial = "https://www.threads.net/@stephan_kesting"
    , isNewTabLink = True
    , interviewAppearances =
        [ { appearanceTitle = "Contrarian Thinking About Nutrition"
          , appearanceEpisode = "244"
          , appearanceLink = "https://www.grapplearts.com/contrarian-thinking-about-nutrition-with-nick-hiebert-strenuous-life-podcast-ep-244/"
          , appearanceExperience = 9
          , appearanceYear = "December 2nd, 2019"
          , appearanceSubjects =
                [ { subject = "The nutrient density of different foods." }
                , { subject = "The ten all time greatest, most nutrient dense foods." }
                , { subject = "The ketogenic diet." }
                , { subject = "Fats vs carbs vs proteins." }
                ]
          }
        ]
    }
